AssignCornerBuilder Class

class NXOpen.MechanicalRouting.AssignCornerBuilder

Bases: NXOpen.Builder

Builder class for Assign Corner which creates corner

To create a new instance of this class, use NXOpen.MechanicalRouting.BuilderFactory.CreateAssignCornerBuilder()

Default values.

Property Value
BendCornerSettings.Method (deprecated) Radius
BendCornerSettings.Radius.Value (deprecated) 0 (millimeters part), 0 (inches part)
BendCornerSettings.RatioToDiameter.Value (deprecated) 0 (millimeters part), 0 (inches part)
CornerSettings.CornerType None

New in version NX11.0.0.

Properties

Property Description
BendCornerSettings Returns the bend corner block
ControlPointSelection Returns the routing control points collector
CornerSettings Returns the corner block
Tag Returns the Tag for this object.
Type Returns or sets the assign corner type

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetCreatedComponents Components created during Assign Corner operation.
GetLogicalObjects Returns the PDM.LogicalObject that represent the content that will be created by this builder.
GetObject Returns the object currently being edited by this builder.
PreCommit Performs the operations needed prior to a commit.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

AssignCornerBuilderCornerType Enumeration Defines the corner types.

Property Detail

BendCornerSettings

AssignCornerBuilder.BendCornerSettings

Returns the bend corner block

-------------------------------------

Getter Method

Signature BendCornerSettings

Returns:
Return type:NXOpen.MechanicalRouting.BendCornerTypeBuilder

New in version NX11.0.0.

Deprecated since version NX11.0.1: Use NXOpen.MechanicalRouting.AssignCornerBuilder.CornerSettings() instead.

License requirements: routing_base (“Routing Basic”)

ControlPointSelection

AssignCornerBuilder.ControlPointSelection

Returns the routing control points collector

-------------------------------------

Getter Method

Signature ControlPointSelection

Returns:
Return type:NXOpen.Routing.RouteObjectCollector

New in version NX11.0.0.

License requirements: routing_base (“Routing Basic”)

CornerSettings

AssignCornerBuilder.CornerSettings

Returns the corner block

-------------------------------------

Getter Method

Signature CornerSettings

Returns:
Return type:NXOpen.MechanicalRouting.CornerBuilder

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

Type

AssignCornerBuilder.Type

Returns or sets the assign corner type

-------------------------------------

Getter Method

Signature Type

Returns:
Return type:NXOpen.MechanicalRouting.AssignCornerBuilderCornerType

New in version NX11.0.0.

Deprecated since version NX11.0.1: Use NXOpen.MechanicalRouting.CornerBuilder.CornerType() instead.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Setter Method

Signature Type

Parameters:type (NXOpen.MechanicalRouting.AssignCornerBuilderCornerType) –

New in version NX11.0.0.

Deprecated since version NX11.0.1: Use NXOpen.MechanicalRouting.CornerBuilder.CornerType() instead.

License requirements: routing_base (“Routing Basic”)

Method Detail

GetCreatedComponents

AssignCornerBuilder.GetCreatedComponents

Components created during Assign Corner operation.

Signature GetCreatedComponents()

Returns:Components created during Assign Corner operation.
Return type:list of NXOpen.Assemblies.Component

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

GetLogicalObjects

AssignCornerBuilder.GetLogicalObjects

Returns the PDM.LogicalObject that represent the content that will be created by this builder.

logical objects will be created only for miter corner case.

Signature GetLogicalObjects()

Returns:
Return type:list of NXOpen.PDM.LogicalObject

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

PreCommit

AssignCornerBuilder.PreCommit

Performs the operations needed prior to a commit.

This method has to be called before invoking commit.

Signature PreCommit()

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

Validate

AssignCornerBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.